CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   OpenFOAM (http://www.cfd-online.com/Forums/openfoam/)
-   -   Problem running paraFoam on OpenFOAM 1.5 (http://www.cfd-online.com/Forums/openfoam/65165-problem-running-parafoam-openfoam-1-5-a.html)

sonny June 6, 2009 13:38

Problem running paraFoam on OpenFOAM 1.5
 
Hey Guys

I have just installed OpenFOAM 1.5 and was also able to compile paraview 3.3 on ubuntu 9.04 after so much hassle. I am able to run blockMesh and icoFoam but each time I try running paraFoam I get the folowing error message:

Segmentation fault
I am a new linux user and need someone to guide on solving this problem. Thanks in advance.

Sonny

Ahmed June 6, 2009 15:18

Quote:

Originally Posted by sonny (Post 218441)
Hey Guys

I have just installed OpenFOAM 1.5 and was also able to compile paraview 3.3 on ubuntu 9.04 after so much hassle. I am able to run blockMesh and icoFoam but each time I try running paraFoam I get the folowing error message:

Segmentation fault
I am a new linux user and need someone to guide on solving this problem. Thanks in advance.

Sonny

would it be possible for you to read the following article:
http://en.wikipedia.org/wiki/Segmentation_fault
it might help you pin pointing the cause

Kenny June 6, 2009 17:37

Use foam to vtk and then use paraview 3.4 downloaded form their site. Forget parafoam.

Wesley June 6, 2009 20:24

I would second using paraview with VTK. I am new to OpenFOAM and am running on a system where I could not compile the paraview that came with OpenFOAM. Converting to VTK seems to work just fine for me.

I was playing around with the icoFoam example. The command I used at the prompt was:
foamToVTK -case cavity


Then I starte paraview and opend the VTK directory in the case.


All times are GMT -4. The time now is 14:17.